<script lang="ts" setup>

	const userCookie = useCookie('_user');
	let classMenu = ref('');
	let user:object|any|null = null;
	
	
	if (userCookie.value !== undefined) {
		user = (JSON.parse(atob(userCookie.value as string)));
		classMenu.value = user.type;
	}

	function ItemsCalculator() {
		let items = [{ label: 'Inicio', path: '/' }];
		if (userCookie.value === undefined) {
			return items;
		}
		items.push({ label: 'Productos', path: '/product' });
		if (user.type.trim() === 'Médico') {
			items.push({ label: 'Usuarios', path: '/user' });
		}
		items.push({ label: 'Recetas', path: '/recipies' });
		return items;
	}

	const menuItems = ItemsCalculator();

	async function destroySession() {
		userCookie.value = undefined;
		navigateTo('/login', {
			replace:true
		}); 
	}
	
</script>
<template>
	<div>
		<div :class="`menu-content-app-header-${classMenu}`">
			<nav class="nav-app-header">
				<ul>
					<li v-for="(mi, index) in menuItems" :key="index">
						<NuxtLink :to="mi.path">{{ mi.label }}</NuxtLink>
					</li>
					<li v-if="userCookie">
						<a href="#" @click.prevent="destroySession()">Cerrar Sesión</a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</template>
